%{?nodejs_find_provides_and_requires}

%global packagename base
%global enable_tests 1

Name:		nodejs-base
Version:	0.13.0
Release:	1%{?dist}
Summary:	Framework for rapidly creating node.js applications, using plugins

License:	MIT
URL:		https://github.com/node-base/base
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Sources 1-9 generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh
Source11:	https://raw.githubusercontent.com/node-base/base/%{version}/test.js



ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(arr-union)
BuildRequires:	npm(cache-base)
BuildRequires:	npm(class-utils)
BuildRequires:	npm(mixin-deep)
BuildRequires:	npm(pascalcase)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(through2)
%endif

%description
Framework for rapidly creating high quality node.js applications, using plugins
like building blocks


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE11} .

chmod -x docs/logo.png

%nodejs_fixdep isobject

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md docs/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Apr 14 2017 Jared Smith <jsmith@fedoraproject.org> - 0.13.0-1
- Initial packaging
